## ros-noetic-rqt-launch 0.4.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_launch)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_launch
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-launch (0.4.9-1focal) focal; urgency=high

  * fix shebang line for Python 3 (#24 <https://github.com/ros-visualization/rqt_launch/issues/24>)
  * refactor get spawn count text (#23 <https://github.com/ros-visualization/rqt_launch/issues/23>)
  * bump CMake minimum version to avoid CMP0048 warning
  * autopep8 (#19 <https://github.com/ros-visualization/rqt_launch/issues/19>)
  * add Ryan Sinnet co-maintainer, update the current maintainer contact info

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 13 Oct 2020 07:00:00 -0000

ros-noetic-rqt-launch (0.4.8-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 24 Apr 2017 07:00:00 -0000

ros-noetic-rqt-launch (0.4.7-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Thu, 02 Mar 2017 08:00:00 -0000

ros-noetic-rqt-launch (0.4.6-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-rqt-launch (0.4.5-1focal) focal; urgency=high

  * remove __slots__ declaration preventing the plugin to load (#423 <https://github.com/ros-visualization/rqt_common_plugins/pull/423>)

 -- Isaac Saito <130s@lateeye.net>  Fri, 03 Feb 2017 08:00:00 -0000

ros-noetic-rqt-launch (0.4.4-1focal) focal; urgency=high

  * add button to load all params in a launch config onto parameter server (#341 <https://github.com/ros-visualization/rqt_common_plugins/issues/341>)

 -- Isaac Saito <130s@lateeye.net>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-rqt-launch (0.4.3-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Wed, 02 Nov 2016 07:00:00 -0000

ros-noetic-rqt-launch (0.4.2-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-rqt-launch (0.4.1-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 16 May 2016 07:00:00 -0000

ros-noetic-rqt-launch (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Isaac Saito <130s@lateeye.net>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-rqt-launch (0.3.13-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Tue, 08 Mar 2016 08:00:00 -0000

ros-noetic-rqt-launch (0.3.12-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Fri, 24 Jul 2015 07:00:00 -0000

ros-noetic-rqt-launch (0.3.11-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rqt-launch (0.3.10-1focal) focal; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Isaac Saito <130s@lateeye.net>  Wed, 01 Oct 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.9-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 18 Aug 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.8-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Tue, 15 Jul 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.7-1focal) focal; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Isaac Saito <130s@lateeye.net>  Fri, 11 Jul 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.6-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 02 Jun 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.5-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-rqt-launch (0.3.4-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Tue, 28 Jan 2014 08:00:00 -0000

ros-noetic-rqt-launch (0.3.3-1focal) focal; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * mark rqt_launch and rqt_reconfigure as experimental (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Isaac Saito <130s@lateeye.net>  Wed, 08 Jan 2014 08:00:00 -0000

ros-noetic-rqt-launch (0.3.2-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 14 Oct 2013 07:00:00 -0000

ros-noetic-rqt-launch (0.3.1-1focal) focal; urgency=high

  * add stop-all-nodes button

 -- Isaac Saito <130s@lateeye.net>  Wed, 09 Oct 2013 07:00:00 -0000

ros-noetic-rqt-launch (0.3.0-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Wed, 28 Aug 2013 07:00:00 -0000

ros-noetic-rqt-launch (0.2.17-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Thu, 04 Jul 2013 07:00:00 -0000

ros-noetic-rqt-launch (0.2.16-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Tue, 09 Apr 2013 20:33:00 -0000

ros-noetic-rqt-launch (0.2.15-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Tue, 09 Apr 2013 07:02:00 -0000

ros-noetic-rqt-launch (0.2.14-1focal) focal; urgency=high

  * Fix; Start-Stop buttons now reflect nodes status, except when they crashed

 -- Isaac Saito <130s@lateeye.net>  Thu, 14 Mar 2013 07:00:00 -0000

ros-noetic-rqt-launch (0.2.13-1focal) focal; urgency=high

  * Nodes are stop-able now.
  * Capable to add node widgets as children of nodes.

 -- Isaac Saito <130s@lateeye.net>  Tue, 12 Mar 2013 05:14:00 -0000

ros-noetic-rqt-launch (0.2.12-1focal) focal; urgency=high



 -- Isaac Saito <130s@lateeye.net>  Mon, 11 Mar 2013 20:56:00 -0000

ros-noetic-rqt-launch (0.2.11-1focal) focal; urgency=high

  * first release of this package into groovy

 -- Isaac Saito <130s@lateeye.net>  Fri, 08 Mar 2013 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-launch
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <iisaito@kinugarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rqt-py-common
Homepage: http://wiki.ros.org/rqt_launch
Standards-Version: 3.9.2

Package: ros-noetic-rqt-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rqt-console, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-rqt-py-common
Description: This rqt plugin ROS package provides easy view of .launch files.
 User can also start and end node by node that are defined in those files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-launch//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
